#!/bin/bash

export PATH=/usr/bin/:/usr/sbin:$PATH

echo "Enter your FQDN:(You have to enter your correct Fully Qualified Domain Name below)"

read CN
FQDN=$CN

openssl req -new -sha1 -days 365 -newkey rsa:2048 -nodes -keyout $FQDN.hostkey.pem -out $FQDN.hostreq.pem -subj "/DC=IN/DC=GARUDAINDIA/O=C-DAC/OU=CTSF/CN=$FQDN"

echo "Your Host Cert Request is successfully generated."
echo "##########################################"
echo "#         IGCA request procedure         #"
echo "##########################################"

echo "1) Now you have to complete the host certificate request procedure by uploading the file $FQDN.hostreq.pem to IGCA"
echo "2) Please go to the link https://ca.garudaindia.in/cgi-bin/pub/pki?cmd=pkcs10_req "
echo "3) Upload the request file ($FQDN.hostreq.pem), in the above page"
echo "4) Fill in the remaining fields in the page
          (a)Organization >>> Your Organization
          (b)Telephone >>> Your telephone number "

echo "For more details about requesting host certificate please go to http://ca.garudaindia.in/index.php/certificate/host-certificate-request-process/ "

